summaryrefslogtreecommitdiff
path: root/tcwg_bmk-build.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-06-16 19:04:30 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-06-16 19:04:30 +0000
commit4147f30f9230cb4a2daf3b21a2ce7d4102e8f3da (patch)
treed4953a9492562d112ca674fbbd0562b22a82f545 /tcwg_bmk-build.sh
parent3b766b8fd32a687fb47251896c0291f89be7ca19 (diff)
tcwg_bmk-build.sh: Switch TK1 and TX1 benchmarking to new bmk job
Change-Id: I72f1d422c87800820b1bee7f2a95edbf2989352f
Diffstat (limited to 'tcwg_bmk-build.sh')
-rwxr-xr-xtcwg_bmk-build.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/tcwg_bmk-build.sh b/tcwg_bmk-build.sh
index 84919c8f..704ee452 100755
--- a/tcwg_bmk-build.sh
+++ b/tcwg_bmk-build.sh
@@ -259,9 +259,13 @@ benchmark ()
sysroot="ssh://$ssh_host:$ssh_port:$sysroot"
local hw results_top image_arch results_id
+ local bmk_job=tcwg-benchmark
case "${rr[target]}" in
armv8*) hw=tx1; results_top=tx1_32; image_arch=armhf ;;
- arm_eabi) hw=stm32; results_top=stm32_STM32L476RGTx; image_arch=armhf ;;
+ arm_eabi)
+ hw=stm32; results_top=stm32_STM32L476RGTx; image_arch=armhf
+ bmk_job=tcwg-benchmark-stm32
+ ;;
arm*) hw=tk1; results_top=tk1_32; image_arch=armhf ;;
aarch64*) hw=tx1; results_top=tx1_64; image_arch=arm64 ;;
*) echo "ERROR: Unknown target ${rr[target]}"; exit 1 ;;
@@ -277,12 +281,13 @@ benchmark ()
# shellcheck disable=SC2154
remote_exec "ci.linaro.org:2222::-l $USER@linaro.org" \
- build tcwg-benchmark-$hw -w \
+ build $bmk_job -w \
+ -p bmk_hw=$hw \
-p bench_list="$bench_list" \
-p cflags="$bmk_flags" \
-p ldflags="$bmk_ldflags" \
-p testmode=benchmark \
- -p displaytag="${rr[ci_project]}/${rr[mode]}-${rr[ci_config]}" \
+ -p displaytag="#\$BUILD_NUMBER-${rr[ci_project]}/${rr[mode]}-${rr[ci_config]}" \
-p ignore_errors=true \
-p toolchain_url=$toolchain_proto://$ssh_host:$ssh_port:$cc \
-p toolchain_type=$toolchain \
@@ -305,7 +310,7 @@ benchmark ()
local build_ret
while true; do
(remote_exec "ci.linaro.org:2222::-l $USER@linaro.org" \
- console tcwg-benchmark-$hw -n 1 -f $build_num || true) \
+ console $bmk_job -n 1 -f $build_num || true) \
| tee -a $run_step_artifacts/benchmark.log
# Ssh connection to ci.linaro.org occasionally drops. We need